Gateways
Create a gateway
Creates a new payment gateway for the authenticated merchant from the
gateway payload. Returns 201 with the created gateway. credentials are
write-only and never returned. Returns 422 when required fields are missing
or integration_type/mode is invalid.
POST
/
api
/
payment
/
v2026-04
/
gateways
Create a gateway
curl --request POST \
--url https://api.fluid.app/api/payment/v2026-04/gateways \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gateway": {
"name": "Stripe (USD)",
"integration_type": "CreditCard",
"mode": "live",
"country_codes": [
"US"
]
}
}
'import requests
url = "https://api.fluid.app/api/payment/v2026-04/gateways"
payload = { "gateway": {
"name": "Stripe (USD)",
"integration_type": "CreditCard",
"mode": "live",
"country_codes": ["US"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gateway: {
name: 'Stripe (USD)',
integration_type: 'CreditCard',
mode: 'live',
country_codes: ['US']
}
})
};
fetch('https://api.fluid.app/api/payment/v2026-04/gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"integration_type": "<string>",
"supported_sources": [
"<string>"
],
"country_codes": [
"<string>"
],
"settings": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"status": "<string>"
}{
"message": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}⌘I
Create a gateway
